package com.chenyang.nse.bussiness.jar.db;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_CLIENT_RULE_CHANGE_LOG"
)
public class TCoreClientRuleChangeLog extends TBaseEntity {
   @Column(
      length = 50
   )
   private String rule_str;
   @Column(
      length = 50
   )
   private String t_client_id;
   @Column(
      length = 50
   )
   private String create_time;

   public String getRule_str() {
      return this.rule_str;
   }

   public String getT_client_id() {
      return this.t_client_id;
   }

   public String getCreate_time() {
      return this.create_time;
   }

   public void setRule_str(final String rule_str) {
      this.rule_str = rule_str;
   }

   public void setT_client_id(final String t_client_id) {
      this.t_client_id = t_client_id;
   }

   public void setCreate_time(final String create_time) {
      this.create_time = create_time;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreClientRuleChangeLog)) {
         return false;
      } else {
         TCoreClientRuleChangeLog other = (TCoreClientRuleChangeLog)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$rule_str = this.getRule_str();
            Object other$rule_str = other.getRule_str();
            if (this$rule_str == null) {
               if (other$rule_str != null) {
                  return false;
               }
            } else if (!this$rule_str.equals(other$rule_str)) {
               return false;
            }

            Object this$t_client_id = this.getT_client_id();
            Object other$t_client_id = other.getT_client_id();
            if (this$t_client_id == null) {
               if (other$t_client_id != null) {
                  return false;
               }
            } else if (!this$t_client_id.equals(other$t_client_id)) {
               return false;
            }

            Object this$create_time = this.getCreate_time();
            Object other$create_time = other.getCreate_time();
            if (this$create_time == null) {
               if (other$create_time != null) {
                  return false;
               }
            } else if (!this$create_time.equals(other$create_time)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreClientRuleChangeLog;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $rule_str = this.getRule_str();
      result = result * 59 + ($rule_str == null ? 43 : $rule_str.hashCode());
      Object $t_client_id = this.getT_client_id();
      result = result * 59 + ($t_client_id == null ? 43 : $t_client_id.hashCode());
      Object $create_time = this.getCreate_time();
      result = result * 59 + ($create_time == null ? 43 : $create_time.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreClientRuleChangeLog(rule_str=" + this.getRule_str() + ", t_client_id=" + this.getT_client_id() + ", create_time=" + this.getCreate_time() + ")";
   }
}
